## rust-fd-find 10.3.0

=== Makefile ===
PROFILE=release
EXE=target/$(PROFILE)/fd
prefix=/usr/local
bindir=$(prefix)/bin
datadir=$(prefix)/share
exe_name=fd

$(EXE): Cargo.toml src/**/*.rs
	cargo build --profile $(PROFILE) --locked

.PHONY: completions
completions: autocomplete/fd.bash autocomplete/fd.fish autocomplete/fd.ps1 autocomplete/_fd

comp_dir=@mkdir -p autocomplete

autocomplete/fd.bash: $(EXE)
	$(comp_dir)
	$(EXE) --gen-completions bash > $@

autocomplete/fd.fish: $(EXE)
	$(comp_dir)
	$(EXE) --gen-completions fish > $@

autocomplete/fd.ps1: $(EXE)
	$(comp_dir)
	$(EXE) --gen-completions powershell > $@

autocomplete/_fd: contrib/completion/_fd
	$(comp_dir)
	cp $< $@

install: $(EXE) completions
	install -Dm755 $(EXE) $(DESTDIR)$(bindir)/fd
	install -Dm644 autocomplete/fd.bash $(DESTDIR)/$(datadir)/bash-completion/completions/$(exe_name)
	install -Dm644 autocomplete/fd.fish $(DESTDIR)/$(datadir)/fish/vendor_completions.d/$(exe_name).fish
	install -Dm644 autocomplete/_fd $(DESTDIR)/$(datadir)/zsh/site-functions/_$(exe_name)
	install -Dm644 doc/fd.1 $(DESTDIR)/$(datadir)/man/man1/$(exe_name).1

## rust-fd-find 7.2.0

=== debian/changelog ===
rust-fd-find (7.2.0-2) unstable; urgency=medium

  * Drop the patch removing the dependnecy on wrap_help

 -- Paride Legovini <pl@ninthfloor.org>  Mon, 03 Dec 2018 16:46:12 +0000

rust-fd-find (7.2.0-1) unstable; urgency=medium

  * Package fd-find 7.2.0 from crates.io using debcargo 2.2.8

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 04 Nov 2018 18:38:09 +0100

rust-fd-find (7.1.0-2) unstable; urgency=medium

  * Install fd into /usr/lib/cargo/bin/ to be added to the path
    Create as symlink to have fd-find in the path

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 15 Oct 2018 09:25:28 +0200

rust-fd-find (7.1.0-1) unstable; urgency=medium

  * Team upload.
  * Package fd-find 7.1.0 from crates.io using debcargo 2.2.7
    (Closes: #909408)

  [ Paride Legovini ]
  * Package fd-find 7.1.0 from crates.io using debcargo 2.2.6

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 23 Sep 2018 09:42:23 +0200

=== debian/control ===
Source: rust-fd-find
Section: utils
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 10),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-ansi-term-0.11+default-dev,
 librust-atty-0.2+default-dev,
 librust-clap-2+color-dev (>= 2.31.2-~~),
 librust-clap-2+default-dev (>= 2.31.2-~~),
 librust-clap-2+suggestions-dev (>= 2.31.2-~~),
 librust-clap-2+wrap-help-dev (>= 2.31.2-~~),
 librust-ctrlc-3+default-dev (>= 3.1-~~),
 librust-humantime-1+default-dev (>= 1.1.1-~~),
 librust-ignore-0.4+default-dev (>= 0.4.3-~~),
 librust-lazy-static-1+default-dev (>= 1.1.0-~~),
 librust-libc-0.2+default-dev,
 librust-num-cpus-1+default-dev (>= 1.8-~~),
 librust-regex-1+default-dev,
 librust-regex-syntax-0.6+default-dev,
 librust-version-check-0.1+default-dev (>= 0.1.3-~~),
 dh-exec
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Paride Legovini <pl@ninthfloor.org>,
 Sylvestre Ledru <sylvestre@debian.org>
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/fd-find]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/fd-find
Homepage: https://github.com/sharkdp/fd

Package: fd-find
Architecture: any
Multi-Arch: allowed
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: Simple, fast and user-friendly alternative to find
 While it does not seek to mirror all of find's powerful functionality,
 fd provides sensible (opinionated) defaults for 80% of the use cases.
 .
 Features:
 .
  * Convenient syntax: ‘fd PATTERN’ instead of ‘find -iname '*PATTERN*'’.
  * Colorized terminal output (similar to ls).
  * It's fast, often faster than find.
  * Smart case.
  * Ignores hidden directories and files, by default.
  * Ignores patterns from your .gitignore, by default.
  * Regular expressions.
  * Unicode-awareness.
  * Parallel command execution with a syntax similar to GNU Parallel.
 .
  Please note: the executable and the associated manpage were renamed
  from ‘fd’ to ‘fdfind’ because of a file name clash.
 .
 This package contains the following binaries built from the Rust crate
 "fd-find":
  - fd

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem cargo

override_dh_install:
# fd is already used by another packages. Install fd into /usr/fd-find/bin/
# to be added to the path
# and create as symlink ot have fd-find in the path
	mkdir -p debian/fd-find/usr/lib/cargo/bin/
	mv debian/fd-find/usr/bin/fd debian/fd-find/usr/lib/cargo/bin/
	cd debian/fd-find/usr/bin/ && ln -s ../lib/cargo/bin/fd fdfind
	dh_install
	dh_missing

# Disable because the test still using tempdir (instead of tempfile)
# override_dh_auto_test:
# 	dh_auto_test -- test --all

## rust-fd-find 7.3.0

=== debian/changelog ===
rust-fd-find (7.3.0-3) unstable; urgency=medium

  * Ship bash, fish and zsh completion (Closes: #934587)
  * Package fd-find 7.3.0 from crates.io using debcargo 2.4.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 16 Aug 2019 10:10:38 +0200

rust-fd-find (7.3.0-2) unstable; urgency=medium

  * Upload to unstable
  * Package fd-find 7.3.0 from crates.io using debcargo 2.3.1-alpha.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 08 Jul 2019 08:53:15 +0200

rust-fd-find (7.3.0-1) experimental; urgency=medium

  * Package fd-find 7.3.0 from crates.io using debcargo 2.2.10

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 07 Apr 2019 14:31:18 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 11),
- dh-cargo (>= 10),
+ dh-cargo (>= 18),
  cargo:native,
  rustc:native,
  libstd-rust-dev,
@@ -17,6 +17,7 @@
  librust-ignore-0.4+default-dev (>= 0.4.3-~~),
  librust-lazy-static-1+default-dev (>= 1.1.0-~~),
  librust-libc-0.2+default-dev,
+ librust-lscolors-0.5+default-dev,
  librust-num-cpus-1+default-dev (>= 1.8-~~),
  librust-regex-1+default-dev,
  librust-regex-syntax-0.6+default-dev,
@@ -36,7 +37,14 @@
 Multi-Arch: allowed
 Depends:
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
+ ${cargo:Depends}
+Recommends:
+ ${cargo:Recommends}
+Suggests:
+ ${cargo:Suggests}
+Provides:
+ ${cargo:Provides}
 Built-Using: ${cargo:Built-Using}
 XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
 Description: Simple, fast and user-friendly alternative to find

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,12 @@
 # fd is already used by another packages. Install fd into /usr/fd-find/bin/
 # to be added to the path
 # and create as symlink ot have fd-find in the path
-	mkdir -p debian/fd-find/usr/lib/cargo/bin/
+	mkdir -p debian/fd-find/usr/lib/cargo/bin/ debian/fd-find/usr/share/fish/completions/ debian/fd-find/usr/share/zsh/vendor-completions/ debian/fd-find/usr/share/bash-completion/completions/
 	mv debian/fd-find/usr/bin/fd debian/fd-find/usr/lib/cargo/bin/
 	cd debian/fd-find/usr/bin/ && ln -s ../lib/cargo/bin/fd fdfind
+	cp target/*/release/build/fd-find-*/out/fd.bash debian/fd-find/usr/share/bash-completion/completions/fd
+	cp target/*/release/build/fd-find-*/out/fd.fish debian/fd-find/usr/share/fish/completions/
+	cp target/*/release/build/fd-find-*/out/_fd debian/fd-find/usr/share/zsh/vendor-completions/
 	dh_install
 	dh_missing

## rust-fd-find 7.4.0

=== debian/changelog ===
rust-fd-find (7.4.0-2ubuntu0.1) focal-security; urgency=medium

  * No change rebuild due to update in rust-regex

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Thu, 18 Aug 2022 13:21:40 +0200

rust-fd-find (7.4.0-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:56:48 +0100

rust-fd-find (7.4.0-2) unstable; urgency=medium

  * Team upload.
  * Package fd-find 7.4.0 from crates.io using debcargo 2.4.0
  * Neater way of installing the binary into /usr/lib/cargo

 -- Ximin Luo <infinity0@debian.org>  Tue, 31 Dec 2019 16:28:37 +0000

rust-fd-find (7.4.0-1) unstable; urgency=medium

  * Package fd-find 7.4.0 from crates.io using debcargo 2.4.0
  * Rename the completion scripts to fdfind (Closes: #936036)
  * Ansi_term updated from 0.11 to 0.12
  * Remove the jemallocator dependencies (still in NEW)
    disable-jemallocator.diff
  * Also ship completion for fdfind (Closes: #936036)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 01 Dec 2019 12:30:19 +0100

=== debian/control ===
--- 
+++ 
@@ -6,24 +6,26 @@
  cargo:native,
  rustc:native,
  libstd-rust-dev,
- librust-ansi-term-0.11+default-dev,
+ librust-ansi-term-0.12+default-dev,
  librust-atty-0.2+default-dev,
  librust-clap-2+color-dev (>= 2.31.2-~~),
  librust-clap-2+default-dev (>= 2.31.2-~~),
  librust-clap-2+suggestions-dev (>= 2.31.2-~~),
  librust-clap-2+wrap-help-dev (>= 2.31.2-~~),
  librust-ctrlc-3+default-dev (>= 3.1-~~),
+ librust-globset-0.4+default-dev,
  librust-humantime-1+default-dev (>= 1.1.1-~~),
  librust-ignore-0.4+default-dev (>= 0.4.3-~~),
  librust-lazy-static-1+default-dev (>= 1.1.0-~~),
  librust-libc-0.2+default-dev,
- librust-lscolors-0.5+default-dev,
+ librust-lscolors-0.6+default-dev,
  librust-num-cpus-1+default-dev (>= 1.8-~~),
  librust-regex-1+default-dev,
  librust-regex-syntax-0.6+default-dev,
- librust-version-check-0.1+default-dev (>= 0.1.3-~~),
+ librust-version-check-0.9+default-dev,
  dh-exec
-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Paride Legovini <pl@ninthfloor.org>,
  Sylvestre Ledru <sylvestre@debian.org>

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem cargo

override_dh_auto_install:
	# /usr/bin/fd already used, install into /usr/lib/cargo/bin
	DEB_CARGO_INSTALL_PREFIX=/usr/lib/cargo dh_auto_install

override_dh_install:
	dh_install
	set -e; for i in debian/fd-find/usr/share/bash-completion/completions/*.bash; do mv "$$i" "$${i%.bash}"; done
	dh_missing

# Disable because the test still using tempdir (instead of tempfile)
# override_dh_auto_test:
# 	dh_auto_test -- test --all

## rust-fd-find 8.1.1

=== debian/changelog ===
rust-fd-find (8.1.1-1) unstable; urgency=medium

  * Package fd-find 8.1.1 from crates.io using debcargo 2.4.3

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 20 Jun 2020 10:03:27 +0200

rust-fd-find (8.0.0-1) unstable; urgency=medium

  * Package fd-find 8.0.0 from crates.io using debcargo 2.4.2

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 20 Apr 2020 17:46:16 +0200

rust-fd-find (7.5.0-1) unstable; urgency=medium

  * Package fd-find 7.5.0 from crates.io using debcargo 2.4.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 28 Mar 2020 15:35:49 +0100

=== debian/control ===
--- 
+++ 
@@ -7,29 +7,31 @@
  rustc:native,
  libstd-rust-dev,
  librust-ansi-term-0.12+default-dev,
+ librust-anyhow-1+default-dev,
  librust-atty-0.2+default-dev,
  librust-clap-2+color-dev (>= 2.31.2-~~),
  librust-clap-2+default-dev (>= 2.31.2-~~),
  librust-clap-2+suggestions-dev (>= 2.31.2-~~),
  librust-clap-2+wrap-help-dev (>= 2.31.2-~~),
  librust-ctrlc-3+default-dev (>= 3.1-~~),
+ librust-dirs-2+default-dev,
  librust-globset-0.4+default-dev,
- librust-humantime-1+default-dev (>= 1.1.1-~~),
+ librust-humantime-2+default-dev,
  librust-ignore-0.4+default-dev (>= 0.4.3-~~),
  librust-lazy-static-1+default-dev (>= 1.1.0-~~),
  librust-libc-0.2+default-dev,
- librust-lscolors-0.6+default-dev,
+ librust-lscolors-0.7+default-dev,
  librust-num-cpus-1+default-dev (>= 1.8-~~),
  librust-regex-1+default-dev,
  librust-regex-syntax-0.6+default-dev,
+ librust-users-0.10+default-dev,
  librust-version-check-0.9+default-dev,
  dh-exec
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
+Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
- Paride Legovini <pl@ninthfloor.org>,
+ Paride Legovini <paride@debian.org>,
  Sylvestre Ledru <sylvestre@debian.org>
-Standards-Version: 4.2.0
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/fd-find]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/fd-find
 Homepage: https://github.com/sharkdp/fd

## rust-fd-find 8.2.1

=== debian/changelog ===
rust-fd-find (8.2.1-1) unstable; urgency=medium

  * Package fd-find 8.2.1 from crates.io using debcargo 2.4.3
  * Disable dwz. See https://github.com/rust-lang/rust/issues/66118

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 15 Dec 2020 10:38:34 +0100

rust-fd-find (8.1.1-2) unstable; urgency=medium

  * Package fd-find 8.1.1 from crates.io using debcargo 2.4.3
    Update to dirs 3.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 04 Oct 2020 14:52:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: rust-fd-find
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 11),
- dh-cargo (>= 18),
+Build-Depends: debhelper (>= 12),
+ dh-cargo (>= 24),
  cargo:native,
  rustc:native,
  libstd-rust-dev,
@@ -14,7 +14,7 @@
  librust-clap-2+suggestions-dev (>= 2.31.2-~~),
  librust-clap-2+wrap-help-dev (>= 2.31.2-~~),
  librust-ctrlc-3+default-dev (>= 3.1-~~),
- librust-dirs-2+default-dev,
+ librust-dirs-next-2+default-dev,
  librust-globset-0.4+default-dev,
  librust-humantime-2+default-dev,
  librust-ignore-0.4+default-dev (>= 0.4.3-~~),
@@ -31,10 +31,11 @@
 Uploaders:
  Paride Legovini <paride@debian.org>,
  Sylvestre Ledru <sylvestre@debian.org>
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/fd-find]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/fd-find
 Homepage: https://github.com/sharkdp/fd
+Rules-Requires-Root: no
 
 Package: fd-find
 Architecture: any
@@ -69,7 +70,3 @@
  .
   Please note: the executable and the associated manpage were renamed
   from ‘fd’ to ‘fdfind’ because of a file name clash.
- .
- This package contains the following binaries built from the Rust crate
- "fd-find":
-  - fd

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/make -f
+
 %:
 	dh $@ --buildsystem cargo
 
@@ -11,6 +12,10 @@
 	set -e; for i in debian/fd-find/usr/share/bash-completion/completions/*.bash; do mv "$$i" "$${i%.bash}"; done
 	dh_missing
 
+override_dh_dwz:
+	# Don't do anything. fails because of the
+	# https://github.com/rust-lang/rust/issues/66118
+
 # Disable because the test still using tempdir (instead of tempfile)
 # override_dh_auto_test:
 # 	dh_auto_test -- test --all

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/fd-find-$1\.tar\.gz/g,\\nuversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \\nhttps://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/fd-find .*/crates/fd-find/@ANY_VERSION@/download

## rust-fd-find 8.3.1

=== debian/changelog ===
rust-fd-find (8.3.1-1ubuntu0.1) jammy-security; urgency=medium

  * No change rebuild due to update in rust-regex

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Thu, 18 Aug 2022 10:14:13 +0200

rust-fd-find (8.3.1-1) unstable; urgency=medium

  * Package fd-find 8.3.1 from crates.io using debcargo 2.5.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 11 Jan 2022 21:27:57 +0100

rust-fd-find (8.3.0-1) unstable; urgency=medium

  * Package fd-find 8.3.0 from crates.io using debcargo 2.4.4

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 05 Dec 2021 18:17:24 +0100

rust-fd-find (8.2.1-2) unstable; urgency=medium

  * Package fd-find 8.2.1 from crates.io using debcargo 2.4.4-alpha.0
  * Adjust the rust-users dependency

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 22 Aug 2021 09:16:39 +0200

=== debian/control ===
--- 
+++ 
@@ -2,36 +2,40 @@
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 12),
- dh-cargo (>= 24),
+ dh-cargo (>= 25),
  cargo:native,
  rustc:native,
  libstd-rust-dev,
  librust-ansi-term-0.12+default-dev,
  librust-anyhow-1+default-dev,
  librust-atty-0.2+default-dev,
- librust-clap-2+color-dev (>= 2.31.2-~~),
- librust-clap-2+default-dev (>= 2.31.2-~~),
- librust-clap-2+suggestions-dev (>= 2.31.2-~~),
- librust-clap-2+wrap-help-dev (>= 2.31.2-~~),
- librust-ctrlc-3+default-dev (>= 3.1-~~),
+ librust-chrono-0.4+default-dev,
+ librust-clap-2+color-dev,
+ librust-clap-2+default-dev,
+ librust-clap-2+suggestions-dev,
+ librust-clap-2+wrap-help-dev,
+ librust-ctrlc-3+default-dev (>= 3.2-~~),
  librust-dirs-next-2+default-dev,
  librust-globset-0.4+default-dev,
- librust-humantime-2+default-dev,
+ librust-humantime-2+default-dev (>= 2.1-~~),
  librust-ignore-0.4+default-dev (>= 0.4.3-~~),
- librust-lazy-static-1+default-dev (>= 1.1.0-~~),
  librust-libc-0.2+default-dev,
- librust-lscolors-0.7+default-dev,
- librust-num-cpus-1+default-dev (>= 1.8-~~),
- librust-regex-1+default-dev,
+ librust-lscolors-0.8+default-dev,
+ librust-nix-0.23+default-dev (>= 0.23.1-~~),
+ librust-normpath-0.3+default-dev,
+ librust-num-cpus-1+default-dev (>= 1.13-~~),
+ librust-once-cell-1+default-dev (>= 1.9.0-~~),
+ librust-regex-1+default-dev (>= 1.5.4-~~),
  librust-regex-syntax-0.6+default-dev,
- librust-users-0.10+default-dev,
+ librust-users-0.11+default-dev,
  librust-version-check-0.9+default-dev,
  dh-exec
-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Paride Legovini <paride@debian.org>,
  Sylvestre Ledru <sylvestre@debian.org>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/fd-find]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/fd-find
 Homepage: https://github.com/sharkdp/fd

## rust-fd-find 8.4.0

=== debian/changelog ===
rust-fd-find (8.4.0-3) unstable; urgency=medium

  * Package fd-find 8.4.0 from crates.io using debcargo 2.5.0
  * Fix the lscolors dep

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 24 Aug 2022 08:38:51 +0200

rust-fd-find (8.4.0-2) unstable; urgency=medium

  * Package fd-find 8.4.0 from crates.io using debcargo 2.5.0
  * Relax the nix dep

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 22 Aug 2022 17:32:19 +0200

rust-fd-find (8.4.0-1) unstable; urgency=medium

  * Package fd-find 8.4.0 from crates.io using debcargo 2.5.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 12 Jun 2022 09:04:17 +0200

rust-fd-find (8.3.2-1) unstable; urgency=medium

  * Package fd-find 8.3.2 from crates.io using debcargo 2.5.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 14 May 2022 08:58:49 +0200

=== debian/control ===
--- 
+++ 
@@ -8,30 +8,33 @@
  libstd-rust-dev,
  librust-ansi-term-0.12+default-dev,
  librust-anyhow-1+default-dev,
+ librust-argmax-0.3+default-dev,
  librust-atty-0.2+default-dev,
  librust-chrono-0.4+default-dev,
- librust-clap-2+color-dev,
- librust-clap-2+default-dev,
- librust-clap-2+suggestions-dev,
- librust-clap-2+wrap-help-dev,
+ librust-clap-3+cargo-dev (>= 3.1-~~),
+ librust-clap-3+color-dev (>= 3.1-~~),
+ librust-clap-3+default-dev (>= 3.1-~~),
+ librust-clap-3+suggestions-dev (>= 3.1-~~),
+ librust-clap-3+unstable-grouped-dev (>= 3.1-~~),
+ librust-clap-3+wrap-help-dev (>= 3.1-~~),
+ librust-clap-complete-3+default-dev (>= 3.1-~~),
  librust-ctrlc-3+default-dev (>= 3.2-~~),
  librust-dirs-next-2+default-dev,
  librust-globset-0.4+default-dev,
  librust-humantime-2+default-dev (>= 2.1-~~),
  librust-ignore-0.4+default-dev (>= 0.4.3-~~),
  librust-libc-0.2+default-dev,
- librust-lscolors-0.8+default-dev,
- librust-nix-0.23+default-dev (>= 0.23.1-~~),
+ librust-lscolors-0+default-dev,
+ librust-nix-0+signal-dev,
  librust-normpath-0.3+default-dev,
  librust-num-cpus-1+default-dev (>= 1.13-~~),
- librust-once-cell-1+default-dev (>= 1.9.0-~~),
- librust-regex-1+default-dev (>= 1.5.4-~~),
+ librust-once-cell-1+default-dev (>= 1.10.0-~~),
+ librust-regex-1+default-dev (>= 1.5.5-~~),
  librust-regex-syntax-0.6+default-dev,
  librust-users-0.11+default-dev,
  librust-version-check-0.9+default-dev,
  dh-exec
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
+Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Paride Legovini <paride@debian.org>,
  Sylvestre Ledru <sylvestre@debian.org>

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,9 @@
 override_dh_install:
 	dh_install
 	set -e; for i in debian/fd-find/usr/share/bash-completion/completions/*.bash; do mv "$$i" "$${i%.bash}"; done
+	mkdir -p debian/fd-find/usr/share/zsh/vendor-completions
+	cp contrib/completion/_fd debian/fd-find/usr/share/zsh/vendor-completions
+	cd debian/fd-find/usr/share/zsh/vendor-completions && ln -s _fd _fdfind && cd -
 	dh_missing
 
 override_dh_dwz:

## rust-fd-find 8.6.0

=== debian/changelog ===
rust-fd-find (8.6.0-3) unstable; urgency=medium

  * Package fd-find 8.6.0 from crates.io using debcargo 2.6.0
  * Simplify and fix the completions

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 21 Jan 2023 11:21:20 +0100

rust-fd-find (8.6.0-2) unstable; urgency=medium

  * Package fd-find 8.6.0 from crates.io using debcargo 2.6.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 21 Jan 2023 10:25:05 +0100

rust-fd-find (8.6.0-1) unstable; urgency=medium

  * Package fd-find 8.6.0 from crates.io using debcargo 2.6.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 20 Jan 2023 22:39:21 +0100

=== debian/control ===
--- 
+++ 
@@ -6,30 +6,34 @@
  cargo:native,
  rustc:native,
  libstd-rust-dev,
- librust-ansi-term-0.12+default-dev,
  librust-anyhow-1+default-dev,
- librust-argmax-0.3+default-dev,
+ librust-argmax-0.3+default-dev (>= 0.3.1-~~),
  librust-atty-0.2+default-dev,
- librust-chrono-0.4+default-dev,
- librust-clap-3+cargo-dev (>= 3.1-~~),
- librust-clap-3+color-dev (>= 3.1-~~),
- librust-clap-3+default-dev (>= 3.1-~~),
- librust-clap-3+suggestions-dev (>= 3.1-~~),
- librust-clap-3+unstable-grouped-dev (>= 3.1-~~),
- librust-clap-3+wrap-help-dev (>= 3.1-~~),
- librust-clap-complete-3+default-dev (>= 3.1-~~),
+ librust-chrono-0.4+clock-dev (>= 0.4.23-~~),
+ librust-chrono-0.4+std-dev (>= 0.4.23-~~),
+ librust-clap-4+cargo-dev (>= 4.0.22-~~),
+ librust-clap-4+color-dev (>= 4.0.22-~~),
+ librust-clap-4+default-dev (>= 4.0.22-~~),
+ librust-clap-4+derive-dev (>= 4.0.22-~~),
+ librust-clap-4+suggestions-dev (>= 4.0.22-~~),
+ librust-clap-4+unstable-grouped-dev (>= 4.0.22-~~),
+ librust-clap-4+wrap-help-dev (>= 4.0.22-~~),
+ librust-clap-complete-4+default-dev (>= 4.0.6-~~),
+ librust-crossbeam-channel-0.5+default-dev (>= 0.5.6-~~),
  librust-ctrlc-3+default-dev (>= 3.2-~~),
  librust-dirs-next-2+default-dev,
+ librust-faccess-0.2+default-dev (>= 0.2.4-~~),
  librust-globset-0.4+default-dev,
  librust-humantime-2+default-dev (>= 2.1-~~),
  librust-ignore-0.4+default-dev (>= 0.4.3-~~),
- librust-libc-0.2+default-dev,
- librust-lscolors-0+default-dev,
+ librust-libc-0+default-dev,
+ librust-lscolors-0+nu-ansi-term-dev,
  librust-nix-0+signal-dev,
  librust-normpath-0.3+default-dev,
+ librust-nu-ansi-term-0.46+default-dev,
  librust-num-cpus-1+default-dev (>= 1.13-~~),
- librust-once-cell-1+default-dev (>= 1.10.0-~~),
- librust-regex-1+default-dev (>= 1.5.5-~~),
+ librust-once-cell-1+default-dev (>= 1.15.0-~~),
+ librust-regex-1+default-dev (>= 1.7.0-~~),
  librust-regex-syntax-0.6+default-dev,
  librust-users-0.11+default-dev,
  librust-version-check-0.9+default-dev,
@@ -38,10 +42,11 @@
 Uploaders:
  Paride Legovini <paride@debian.org>,
  Sylvestre Ledru <sylvestre@debian.org>
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/fd-find]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/fd-find
 Homepage: https://github.com/sharkdp/fd
+X-Cargo-Crate: fd-find
 Rules-Requires-Root: no
 
 Package: fd-find

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/fd-find-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/fd-find .*/crates/fd-find/@ANY_VERSION@/download

## rust-fd-find 8.7.0

=== debian/changelog ===
rust-fd-find (8.7.0-2) unstable; urgency=medium

  * Package fd-find 8.7.0 from crates.io using debcargo 2.6.0
  * Relax the nu-ansi-term to unbreak the build

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 29 Jun 2023 09:40:03 +0200

rust-fd-find (8.7.0-1) unstable; urgency=medium

  * Package fd-find 8.7.0 from crates.io using debcargo 2.6.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 19 Jun 2023 08:48:26 +0200

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,14 @@
  librust-atty-0.2+default-dev,
  librust-chrono-0.4+clock-dev (>= 0.4.23-~~),
  librust-chrono-0.4+std-dev (>= 0.4.23-~~),
- librust-clap-4+cargo-dev (>= 4.0.22-~~),
- librust-clap-4+color-dev (>= 4.0.22-~~),
- librust-clap-4+default-dev (>= 4.0.22-~~),
- librust-clap-4+derive-dev (>= 4.0.22-~~),
- librust-clap-4+suggestions-dev (>= 4.0.22-~~),
- librust-clap-4+unstable-grouped-dev (>= 4.0.22-~~),
- librust-clap-4+wrap-help-dev (>= 4.0.22-~~),
- librust-clap-complete-4+default-dev (>= 4.0.6-~~),
+ librust-clap-4+cargo-dev,
+ librust-clap-4+color-dev,
+ librust-clap-4+default-dev,
+ librust-clap-4+derive-dev,
+ librust-clap-4+suggestions-dev,
+ librust-clap-4+unstable-grouped-dev,
+ librust-clap-4+wrap-help-dev,
+ librust-clap-complete-4+default-dev,
  librust-crossbeam-channel-0.5+default-dev (>= 0.5.6-~~),
  librust-ctrlc-3+default-dev (>= 3.2-~~),
  librust-dirs-next-2+default-dev,
@@ -30,10 +30,10 @@
  librust-lscolors-0+nu-ansi-term-dev,
  librust-nix-0+signal-dev,
  librust-normpath-0.3+default-dev,
- librust-nu-ansi-term-0.46+default-dev,
- librust-num-cpus-1+default-dev (>= 1.13-~~),
- librust-once-cell-1+default-dev (>= 1.15.0-~~),
- librust-regex-1+default-dev (>= 1.7.0-~~),
+ librust-nu-ansi-term-0+default-dev,
+ librust-num-cpus-1+default-dev (>= 1.15-~~),
+ librust-once-cell-1+default-dev (>= 1.17.0-~~),
+ librust-regex-1+default-dev (>= 1.7.1-~~),
  librust-regex-syntax-0.6+default-dev,
  librust-users-0.11+default-dev,
  librust-version-check-0.9+default-dev,

## rust-fd-find 9.0.0

=== debian/changelog ===
rust-fd-find (9.0.0-1) unstable; urgency=medium

  * Package fd-find 9.0.0 from crates.io using debcargo 2.6.1

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 30 Dec 2023 20:41:02 +0100

rust-fd-find (8.7.1-2) unstable; urgency=medium

  * Team upload.
  * Package fd-find 8.7.1 from crates.io using debcargo 2.6.0
  * Bump regex-syntax dependency to 0.8

 -- Peter Michael Green <plugwash@debian.org>  Tue, 24 Oct 2023 20:00:56 +0000

rust-fd-find (8.7.1-1) unstable; urgency=medium

  * Package fd-find 8.7.1 from crates.io using debcargo 2.6.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 23 Oct 2023 10:06:02 +0200

rust-fd-find (8.7.0-5) unstable; urgency=medium

  * Team upload.
  * Package fd-find 8.7.0 from crates.io using debcargo 2.6.0
  * Apply upstream patch for new clap. (Closes: #1054141)

 -- Peter Michael Green <plugwash@debian.org>  Thu, 19 Oct 2023 04:16:22 +0000

rust-fd-find (8.7.0-4) unstable; urgency=medium

  * Team upload.
  * Package fd-find 8.7.0 from crates.io using debcargo 2.6.0
  * Apply upstream patch for regex-syntax 0.7.
  * Update expected test results for renamed binary.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 03 Oct 2023 21:34:49 +0000

rust-fd-find (8.7.0-3) unstable; urgency=medium

  * Team upload.
  * Revise the patch to upgrade normpath to ^1.

 -- Zixing Liu <zixing.liu@canonical.com>  Tue, 19 Sep 2023 18:27:49 +0200

=== debian/control ===
--- 
+++ 
@@ -4,45 +4,42 @@
 Build-Depends: debhelper (>= 12),
  dh-cargo (>= 25),
  cargo:native,
- rustc:native,
+ rustc:native (>= 1.70.0),
  libstd-rust-dev,
+ librust-aho-corasick-1+default-dev,
  librust-anyhow-1+default-dev,
  librust-argmax-0.3+default-dev (>= 0.3.1-~~),
- librust-atty-0.2+default-dev,
- librust-chrono-0.4+clock-dev (>= 0.4.23-~~),
- librust-chrono-0.4+std-dev (>= 0.4.23-~~),
+ librust-chrono-0.4+clock-dev (>= 0.4.31-~~),
+ librust-chrono-0.4+std-dev (>= 0.4.31-~~),
  librust-clap-4+cargo-dev,
  librust-clap-4+color-dev,
  librust-clap-4+default-dev,
  librust-clap-4+derive-dev,
  librust-clap-4+suggestions-dev,
- librust-clap-4+unstable-grouped-dev,
  librust-clap-4+wrap-help-dev,
  librust-clap-complete-4+default-dev,
- librust-crossbeam-channel-0.5+default-dev (>= 0.5.6-~~),
+ librust-crossbeam-channel-0+default-dev,
  librust-ctrlc-3+default-dev (>= 3.2-~~),
- librust-dirs-next-2+default-dev,
+ librust-etcetera-0.8+default-dev,
  librust-faccess-0.2+default-dev (>= 0.2.4-~~),
  librust-globset-0.4+default-dev,
  librust-humantime-2+default-dev (>= 2.1-~~),
- librust-ignore-0.4+default-dev (>= 0.4.3-~~),
+ librust-ignore-0.4+default-dev (>= 0.4.21-~~),
  librust-libc-0+default-dev,
  librust-lscolors-0+nu-ansi-term-dev,
  librust-nix-0+signal-dev,
- librust-normpath-0.3+default-dev,
+ librust-nix-0+user-dev,
+ librust-normpath-1+default-dev,
  librust-nu-ansi-term-0+default-dev,
- librust-num-cpus-1+default-dev (>= 1.15-~~),
- librust-once-cell-1+default-dev (>= 1.17.0-~~),
- librust-regex-1+default-dev (>= 1.7.1-~~),
- librust-regex-syntax-0.6+default-dev,
- librust-users-0.11+default-dev,
+ librust-regex-1+default-dev (>= 1.9.6-~~),
+ librust-regex-syntax-0+default-dev,
  librust-version-check-0.9+default-dev,
  dh-exec
 Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
 Uploaders:
  Paride Legovini <paride@debian.org>,
  Sylvestre Ledru <sylvestre@debian.org>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/fd-find]
 Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/fd-find
 Homepage: https://github.com/sharkdp/fd

## rust-fd-find 10.2.0

=== debian/changelog ===
rust-fd-find (10.2.0-1) unstable; urgency=medium

  * Package fd-find 10.2.0 from crates.io using debcargo 2.6.1

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 01 Sep 2024 10:01:59 +0200

rust-fd-find (10.1.0-1) unstable; urgency=medium

  * Package fd-find 10.1.0 from crates.io using debcargo 2.6.1

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 17 Jul 2024 22:25:02 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Build-Depends: debhelper (>= 12),
  dh-cargo (>= 25),
  cargo:native,
- rustc:native (>= 1.70.0),
+ rustc:native (>= 1.77.2),
  libstd-rust-dev,
- librust-aho-corasick-1+default-dev,
+ librust-aho-corasick-1+default-dev (>= 1.1-~~),
  librust-anyhow-1+default-dev,
  librust-argmax-0.3+default-dev (>= 0.3.1-~~),
- librust-chrono-0.4+clock-dev (>= 0.4.31-~~),
- librust-chrono-0.4+std-dev (>= 0.4.31-~~),
+ librust-chrono-0.4+clock-dev (>= 0.4.38-~~),
+ librust-chrono-0.4+std-dev (>= 0.4.38-~~),
  librust-clap-4+cargo-dev,
  librust-clap-4+color-dev,
  librust-clap-4+default-dev,
@@ -24,14 +24,15 @@
  librust-faccess-0.2+default-dev (>= 0.2.4-~~),
  librust-globset-0.4+default-dev,
  librust-humantime-2+default-dev (>= 2.1-~~),
- librust-ignore-0.4+default-dev (>= 0.4.21-~~),
+ librust-ignore-0.4+default-dev (>= 0.4.22-~~),
  librust-libc-0+default-dev,
  librust-lscolors-0+nu-ansi-term-dev,
+ librust-nix-0+hostname-dev,
  librust-nix-0+signal-dev,
  librust-nix-0+user-dev,
  librust-normpath-1+default-dev,
  librust-nu-ansi-term-0+default-dev,
- librust-regex-1+default-dev (>= 1.9.6-~~),
+ librust-regex-1+default-dev (>= 1.10.5-~~),
  librust-regex-syntax-0+default-dev,
  librust-version-check-0.9+default-dev,
  dh-exec

## rust-fd-find 10.3.0

=== debian/changelog ===
rust-fd-find (10.3.0-2) unstable; urgency=medium

  * Team upload
  * Package fd-find 10.3.0 from crates.io using debcargo 2.7.10
  * Build with rust-home 0.5.11

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 29 Sep 2025 07:11:05 -0400

rust-fd-find (10.3.0-1) unstable; urgency=medium

  * Package fd-find 10.3.0 from crates.io using debcargo 2.7.8

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 31 Aug 2025 10:46:07 +0200

=== debian/control ===
Source: rust-fd-find
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo,
 dh-exec
Build-Depends-Arch: cargo:native,
 rustc:native (>= 1.77.2),
 libstd-rust-dev,
 librust-aho-corasick-1+default-dev (>= 1.1-~~),
 librust-anyhow-1+default-dev,
 librust-argmax-0.4+default-dev,
 librust-clap-4+cargo-dev,
 librust-clap-4+color-dev,
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-clap-4+suggestions-dev,
 librust-clap-4+wrap-help-dev,
 librust-clap-complete-4+default-dev (>= 4.5.55-~~),
 librust-crossbeam-channel-0.5+default-dev (>= 0.5.15-~~),
 librust-ctrlc-3+default-dev (>= 3.4-~~),
 librust-etcetera-0+default-dev,
 librust-faccess-0.2+default-dev (>= 0.2.4-~~),
 librust-globset-0.4+default-dev,
 librust-home-0.5+default-dev (>= 0.5.9-~~),
 librust-ignore-0.4+default-dev (>= 0.4.23-~~),
 librust-jiff-0.2+default-dev (>= 0.2.14-~~),
 librust-libc-0.2+default-dev,
 librust-lscolors-0.20+nu-ansi-term-dev,
 librust-nix-0+hostname-dev,
 librust-nix-0+signal-dev,
 librust-nix-0+user-dev,
 librust-normpath-1+default-dev (>= 1.1.1-~~),
 librust-nu-ansi-term-0.50+default-dev,
 librust-regex-1+default-dev (>= 1.11.1-~~),
 librust-regex-syntax-0.8+default-dev,
 librust-version-check-0.9+default-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Paride Legovini <paride@debian.org>,
 Sylvestre Ledru <sylvestre@debian.org>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/fd-find]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/fd-find
Homepage: https://github.com/sharkdp/fd
X-Cargo-Crate: fd-find
Rules-Requires-Root: no

Package: fd-find
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: Simple, fast and user-friendly alternative to find
 While it does not seek to mirror all of find's powerful functionality,
 fd provides sensible (opinionated) defaults for 80% of the use cases.
 .
 Features:
 .
  * Convenient syntax: ‘fd PATTERN’ instead of ‘find -iname '*PATTERN*'’.
  * Colorized terminal output (similar to ls).
  * It's fast, often faster than find.
  * Smart case.
  * Ignores hidden directories and files, by default.
  * Ignores patterns from your .gitignore, by default.
  * Regular expressions.
  * Unicode-awareness.
  * Parallel command execution with a syntax similar to GNU Parallel.
 .
  Please note: the executable and the associated manpage were renamed
  from ‘fd’ to ‘fdfind’ because of a file name clash.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem cargo

override_dh_auto_install:
	# /usr/bin/fd already used, install into /usr/lib/cargo/bin
	DEB_CARGO_INSTALL_PREFIX=/usr/lib/cargo dh_auto_install
	debian/fd-find/usr/lib/cargo/bin/fd --gen-completions bash > fd.bash
	debian/fd-find/usr/lib/cargo/bin/fd --gen-completions fish > fd.fish

override_dh_dwz:
	# Don't do anything. fails because of the
	# https://github.com/rust-lang/rust/issues/66118

# Disable because the test still using tempdir (instead of tempfile)
# override_dh_auto_test:
# 	dh_auto_test -- test --all

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/fd-find-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/fd-find .*/crates/fd-find/@ANY_VERSION@/download
